// Copyright 2021 Gohilla Ltd.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/// A data reflection and serialization library.
///
/// See [Kind] and its subclasses like [ImmutableKind].
library kind;

export 'src/big_int_kind.dart';
export 'src/bool_kind.dart';
export 'src/comparable_kind_mixin.dart';
export 'src/composite_kind.dart';
export 'src/date_time_kind.dart';
export 'src/delegating_kind.dart';
export 'src/duration_kind.dart';
export 'src/enum_kind.dart';
export 'src/enum_like_kind.dart';
export 'src/field_mirror.dart';
export 'src/float_kind.dart';
export 'src/has_kind.dart';
export 'src/immutable_kind.dart';
export 'src/instance_mirror.dart';
export 'src/int_kind.dart';
export 'src/json_decoding_and_encoding.dart';
export 'src/json_decoding_error.dart';
export 'src/kind.dart';
export 'src/list_kind.dart';
export 'src/map_kind.dart';
export 'src/mapper.dart';
export 'src/memory_counter.dart';
export 'src/nullable_kind.dart';
export 'src/polymorphic_kind.dart';
export 'src/primitive_kind_mixin.dart';
export 'src/set_kind.dart';
export 'src/simple_kind.dart';
export 'src/string_kind.dart';
export 'src/trait.dart';
export 'src/tuple2_kind.dart';
export 'src/uint8_list_kind.dart';
export 'src/walkable.dart';
